// CUITileNewspaper - [2020-04-13 11:57:47]
#ifndef _CUITILENEWSPAPER_H_
#define _CUITILENEWSPAPER_H_

#include "CUITile.h"
#include "CFTTTexture.h"

/*
0013E8D4 CUITileNewspaper::CUITileNewspaper()
0013EAA8 CUITileNewspaper::~CUITileNewspaper()
0013EAD8 CUITileNewspaper::~CUITileNewspaper()
0013E940 CUITileNewspaper::Init()
0013E95C CUITileNewspaper::CreateRTT()
0013EADC CUITileNewspaper::Render()
0013EBB4 CUITileNewspaper::RenderCreases()
0013EBFC CUITileNewspaper::RenderPost()
0013EC00 CUITileNewspaper::AddBlock(TRect,char *,wchar_t const*,ENPTitlePos,float,uint,int,int)
0013ECCC CUITileNewspaper::AddBlock(TRect,char *,wchar_t const*,ENPTitlePos,float,TNPBlockStyle,int)
0013ED8E CUITileNewspaper::DrawBlocks()
0013EDB8 CUITileNewspaper::DrawBlock(TNPBlock *)
*/

enum ENPTitlePos {
  ENPTitlePos_0,
  ENPTitlePos_1,
  ENPTitlePos_2,
  ENPTitlePos_3,
  ENPTitlePos_4,
  ENPTitlePos_5,
};

struct TNPBlockStyle {
  int un_0;
};
// sizeof = 0x124
struct TNPBlock {
  float fx_0;
  float fy_4;
  float fWidth_8;
  float fHeight_C;
  char sz_10[0x80];
  wchar_t wsz_90[0x40];
  float f_110;
  int i_114;
  uint ui_118;
  int iFlags_11C;
  int i_120;
};
// sizeof = 0x5AB0?
class CUITileNewspaper : public CUITile {
public:
  CUITileNewspaper();   // 0013E8D4
  ~CUITileNewspaper();  // 0013EAA8 0013EAD8

  virtual void Render();      // 0013EADC
  virtual void RenderPost();  // 0013EBFC
  virtual void Init();        // 0013E940
  virtual void RenderButtons() = 0;
  virtual void RenderCore() = 0;

  void RenderCreases();                                                                   // 0013EBB4
  void CreateRTT();                                                                       // 0013E95C
  void AddBlock(TRect, char *, wchar_t const *, ENPTitlePos, float, uint, int, int);      // 0013EC00
  void AddBlock(TRect, char *, wchar_t const *, ENPTitlePos, float, TNPBlockStyle, int);  // 0013ECCC
  void DrawBlocks();                                                                      // 0013ED8E
  void DrawBlock(TNPBlock *);                                                             // 0013EDB8

  int m_i_1AC;
  int m_i_1B0;
  CFTTTexture *m_pFttTexture_1B4;
  TNPBlock m_tNPBlocks_1B8[10];
  int m_iNPBlockCount_D20;
  // uchar                   unknown_D24[0x4D88];
  // CFTTTexture*            m_pFttTexture_5AAC;
};

#endif  //_CUITILENEWSPAPER_H_